%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  opalr
%global packver   3.4.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          3.4.1
Release:          1%{?dist}%{?buildtag}
Summary:          'Opal' Data Repository Client and 'DataSHIELD' Utils

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.1
Requires:         R-core >= 3.1
BuildArch:        noarch
BuildRequires:    R-CRAN-httr 
BuildRequires:    R-CRAN-jsonlite 
BuildRequires:    R-CRAN-readr 
BuildRequires:    R-CRAN-mime 
BuildRequires:    R-CRAN-progress 
BuildRequires:    R-CRAN-labelled 
BuildRequires:    R-CRAN-tibble 
Requires:         R-CRAN-httr 
Requires:         R-CRAN-jsonlite 
Requires:         R-CRAN-readr 
Requires:         R-CRAN-mime 
Requires:         R-CRAN-progress 
Requires:         R-CRAN-labelled 
Requires:         R-CRAN-tibble 

%description
Data integration Web application for biobanks by 'OBiBa'. 'Opal' is the
core database application for biobanks. Participant data, once collected
from any data source, must be integrated and stored in a central data
repository under a uniform model. 'Opal' is such a central repository. It
can import, process, validate, query, analyze, report, and export data.
'Opal' is typically used in a research center to analyze the data acquired
at assessment centres. Its ultimate purpose is to achieve seamless
data-sharing among biobanks. This 'Opal' client allows to interact with
'Opal' web services and to perform operations on the R server side.
'DataSHIELD' administration tools are also provided.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
